<?php
include("../conexion/conexion.php");
include("../conexion/turnos.php");



//SELECT * FROM ventas WHERE fecha BETWEEN '20200118' AND '20200118'
//SELECT * FROM facturas WHERE fechaFactura BETWEEN '20200118' AND '20200118' AND vendedor=1


//calll arriba
if(isset($_POST["clicimpri"])){
  $Factura=$_POST["clicimpri"];

  $vent=new infoventas();
  $vent->CerrarFactura($Factura);
}else{


if(isset($_POST["tipoBusqueda"])){

  $vent=new infoventas();
    $fecha1=$_POST["fecha1"];
    $fecha2=$_POST["fecha2"];  
    $bodega=$_POST["bodega"];
    $tipoBusqueda=$_POST["tipoBusqueda"];
    $tipoFactur=$_POST["tipoFactur"];
   $vent->callcenter($fecha1,$fecha2,$bodega, $tipoBusqueda,$tipoFactur);


}else{
if(isset($_POST["detalle"])){
    
    $vent=new infoventas();
    $fecha1=$_POST["fecha1"];
    $fecha2=$_POST["fecha2"];
    $vendedor=$_POST["vendedor"];
    $bodega=$_POST["bodega"];
    $infoTurno=$_POST["infoTurno"];
    turno($bodega);    
    
    if($infoTurno==0 || $infoTurno==""){
      $infoTurno=$GLOBALS["turno"];
    }


    if($vendedor==""){
     
       $ventpro=$vent->productos($fecha1,$fecha2,$bodega,$infoTurno);
     
         

    }else{

        $ventpro=$vent->productosvendedor($fecha1,$fecha2,$vendedor,$bodega,$infoTurno);
    }
   
  
   

   


}else{
    $vendedor=$_POST["vendedor"];
    $bodega=$_POST["bodega"];
    $infoTurno=$_POST["infoTurno"];
    turno($bodega);    
    
    if($infoTurno==0 || $infoTurno==""){
      $infoTurno=$GLOBALS["turno"];
    }
if(isset($_POST["iva"]) && $vendedor==""){
    $vent=new infoventas();
    $fecha1=$_POST["fecha1"];
    $fecha2=$_POST["fecha2"];
    $iva=$_POST["iva"];    
   
    

    if($iva=="iva"){
        $vtotal=$vent->sumatotalrangofechasiva($fecha1,$fecha2,$bodega,$infoTurno);
        echo($vtotal);

    }else{
        if($iva=="Sin_iva"){
            $vtotal=$vent->sumatotalrangofechasiniva($fecha1,$fecha2,$bodega,$infoTurno);
            echo($vtotal);
    
        }

    }


}else{

    $vent=new infoventas();
    $fecha1=$_POST["fecha1"];
    $fecha2=$_POST["fecha2"];
    $iva=$_POST["iva"];
    if($iva=="iva"){
        $vtotal=$vent->sumatotalrangofechasivavendedor($fecha1,$fecha2,$vendedor,$bodega,$infoTurno);
        echo($vtotal);

    }else{
        if($iva=="Sin_iva"){
            $vtotal=$vent->sumatotalrangofechasinivavendedor($fecha1,$fecha2,$vendedor,$bodega,$infoTurno);
            echo($vtotal);
    
        }

    }


}
}
}
}
//finn call.

//iva":ivainf







class infoventas{
    function __construct()
    {
        $conn=new conexion();
        $this->conectar=$conn->conectar();  
        
    }

public function callcenter($feha1,$feha2,$bodega,$tipoBusqueda,$tipoFactur){

  if($tipoFactur=="Domic"){
if($tipoBusqueda=="PE"){

  $consulta="SELECT  `factura`,`valor`, `cliente`, 
  `fechaFactura`,`Nombre`,`direccion`,`telefono`,`detallef`,
 `tipoFactura`,`codigociudad`,`idbodegaF`,`estadof`
    FROM facturas INNER JOIN clientes on facturas.cliente=clientes.cedula WHERE  LEFT(fechaFactura,10)  BETWEEN  '$feha1' AND '$feha2'  AND idbodegaF=$bodega AND tipoAtencion='Domicilio' AND estadof<>'OK'  and devolucion=0   ";
 }
else{

  $consulta="SELECT  `factura`,`valor`, `cliente`, 
  `fechaFactura`,`Nombre`,`direccion`,`telefono`,`detallef`,
 `tipoFactura`,`codigociudad`,`idbodegaF`,`estadof`
    FROM facturas INNER JOIN clientes on facturas.cliente=clientes.cedula WHERE  LEFT(fechaFactura,10)  BETWEEN  '$feha1' AND '$feha2'  AND idbodegaF=$bodega AND tipoAtencion='Domicilio' AND estadof<>'PE'  and devolucion=0   ";

}
  }else{

if($tipoBusqueda=="PE"){

  $consulta="SELECT  `factura`,`valor`, `cliente`, 
  `fechaFactura`,`Nombre`,`direccion`,`telefono`,`detallef`,
 `tipoFactura`,`codigociudad`,`idbodegaF`,`estadof`
    FROM facturas INNER JOIN clientes on facturas.cliente=clientes.cedula WHERE  LEFT(fechaFactura,10)  BETWEEN  '$feha1' AND '$feha2'  AND idbodegaF=$bodega  AND estadof<>'OK'  and devolucion=0   ";
 }
else{

  $consulta="SELECT  `factura`,`valor`, `cliente`, 
  `fechaFactura`,`Nombre`,`direccion`,`telefono`,`detallef`,
 `tipoFactura`,`codigociudad`,`idbodegaF`,`estadof`
    FROM facturas INNER JOIN clientes on facturas.cliente=clientes.cedula WHERE  LEFT(fechaFactura,10)  BETWEEN  '$feha1' AND '$feha2'  AND idbodegaF=$bodega  AND estadof<>'PE'  and devolucion=0   ";

}


    
  }
 

     $resultado=$this->conectar->query($consulta);
     $fila=$resultado->fetch_all(MYSQLI_ASSOC);

     echo(json_encode($fila));

}  


public function CerrarFactura($factura){

 
  
    $consulta="UPDATE `facturas` SET `estadof`='OK' WHERE factura='$factura' ";
   
    $resultado=$this->conectar->query($consulta);
    
    echo( $resultado);
  
  }
   
  
      
  
  






function sumatotalrangofechasiva($feha1,$feha2,$bodega,$infoTurno){
 
  $USUARIO= $_SESSION["usuario"];
if($bodega==0){
  if($_SESSION["activarTurnos"]==2){
    $USUARIO=$infoTurno;
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO'  AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0'  ORDER BY fechaDv DESC";
  }else{
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno'  AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  }
}else{
  if($_SESSION["activarTurnos"]==2){
    $USUARIO=$infoTurno;
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  }else{
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  }

 
}

$resultado=$this->conectar->query($consulta);
$total=0;
$todalDevo=0;

$sabersiesPos = false;

if($_SESSION["cuadreDetallado"]=="pos" || $_SESSION["cuadreDetallado"]=="Pos"){
  $sabersiesPos=true;
}


  while($file=mysqli_fetch_object($resultado)){

    $facturr=$file->factura;
    if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
     
      
  }else{

   $valor=$file->valor;

    
   $fechaDevo=substr($file->fechaDevoParcial,0,10);


if($fechaDevo>=$feha1 && $fechaDevo<=$feha2){
  
  $todalDevo=$todalDevo+$valor;
}


  $total=$total+$valor;



  }
    

  }

  $resultado1=$this->conectar->query($consultaDV);
  while($file=mysqli_fetch_object($resultado1)){

    $facturr=$file->numeroFactu;
    if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
     
      
  }else{
        $valor=$file->valorDv;     
  
   
   $todalDevo=$todalDevo+$valor;

  }
 
   }
 

 
return $total- $todalDevo;



}


 

function sumatotalrangofechasiniva($feha1,$feha2,$bodega,$infoTurno){

  $USUARIO= $_SESSION["usuario"];
  
  if($bodega==0){
    if($_SESSION["activarTurnos"]==2){
      $USUARIO=$infoTurno;
      $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2'AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
      $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";


    }else{
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2'AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";  
  
  }
  
  }else{
    if($_SESSION["activarTurnos"]==2){

      $USUARIO=$infoTurno;
      $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO'  AND  ventas.valor>'0' ORDER BY fecha DESC";
   
      $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
    }else{
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno'  AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  
  
  }
  
  }
    
    $resultado=$this->conectar->query($consulta);

    $total=0;
    $iva=0;
    $base=0;
    $todalDevo=0;

    $sabersiesPos = false;

    if($_SESSION["cuadreDetallado"]=="pos" || $_SESSION["cuadreDetallado"]=="Pos"){
      $sabersiesPos=true;
    }
    

      while($file=mysqli_fetch_object($resultado)){
        $facturr=$file->factura;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{

        $valor=$file->valor;

        $iv=$file->iva;
        $bas=$file->base;

        $iva=$iva+$iv;
        


        $fechaDevo=substr($file->fechaDevoParcial,0,10);
        if($fechaDevo>=$feha1 && $fechaDevo<=$feha2){
          
          $todalDevo=$todalDevo+$valor;

          $iva=$iva-$iv;
          

        }
          $total=$total+$valor;
        
      }
      }
      
      $resultado1=$this->conectar->query($consultaDV);
      while($file=mysqli_fetch_object($resultado1)){

        $facturr=$file->numeroFactu;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{

        $valor=$file->valorDv;

        $iv=$file->ivaDv;
       

     
        


      
          
          $todalDevo=$todalDevo+$valor;

          $iva=$iva-$iv;
          

     
      }

      }








      $totalsin=$total- $todalDevo- $iva;


  
    return  $totalsin;
   
    
    
    }
    function sumatotalrangofechasivavendedor($feha1,$feha2,$vendedor,$bodega,$infoTurno){
      $USUARIO= $_SESSION["usuario"];

      if($bodega==0){
        if($_SESSION["activarTurnos"]==2){
          $USUARIO=$infoTurno;
          $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedor=$vendedor AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
       
          $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
       
       
        }else{
        $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedor=$vendedor AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
        $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
        }
      }else{
        if($_SESSION["activarTurnos"]==2){
          $USUARIO=$infoTurno;
          $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedor=$vendedor AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
      
          $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
      
      
      
        }else{
        $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedor=$vendedor AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
        
      
        $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
      
      }
      }

       
        $resultado=$this->conectar->query($consulta);

    $total=0;
   
    $todalDevo=0;

    $sabersiesPos = false;

    if($_SESSION["cuadreDetallado"]=="pos" || $_SESSION["cuadreDetallado"]=="Pos"){
      $sabersiesPos=true;
    }
    

      while($file=mysqli_fetch_object($resultado)){

        $facturr=$file->factura;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{
        $valor=$file->valor;

     
        $fechaDevo=substr($file->fechaDevoParcial,0,10);
        if($fechaDevo>=$feha1 && $fechaDevo<=$feha2){
          
          $todalDevo=$todalDevo+$valor;

          

        }
          $total=$total+$valor;
      }

      }
      
      $resultado1=$this->conectar->query($consultaDV);
      while($file=mysqli_fetch_object($resultado1)){

        $facturr=$file->numeroFactu;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{

        $valor=$file->valorDv;

  
          
          $todalDevo=$todalDevo+$valor;

          
      }

      }





      $totall=$total- $todalDevo;


  
    return  $totall;
        
        //$fila=$resultado->fetch_all(MYSQLI_ASSOC);
        
        
        }
    
 function sumatotalrangofechasinivavendedor($feha1,$feha2,$vendedor,$bodega,$infoTurno){
  $USUARIO= $_SESSION["usuario"];


  if($bodega==0){
  if($_SESSION["activarTurnos"]==2){
    $USUARIO=$infoTurno;
    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN '$feha1' AND '$feha2'  AND vendedor=$vendedor AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND  usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
       
 
 
 
 
  }else{

  

  $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN '$feha1' AND '$feha2'  AND vendedor=$vendedor AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
 
  $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";


}
}else{
  if($_SESSION["activarTurnos"]==2){

    $USUARIO=$infoTurno;

    $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN '$feha1' AND '$feha2'  AND vendedor=$vendedor AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND  usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
  
    $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  
  
  }else{
  $consulta="SELECT * FROM ventas WHERE LEFT(fecha,10)  BETWEEN '$feha1' AND '$feha2'  AND vendedor=$vendedor AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
  $consultaDV="SELECT * FROM devolucionproduc WHERE LEFT(fechaDv,10)  BETWEEN  '$feha1' AND '$feha2' AND bodegaDV=$bodega AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
  }
}
            
            $resultado=$this->conectar->query($consulta);

    $total=0;
    $iva=0;
    $base=0;
    $todalDevo=0;


    $sabersiesPos = false;

    if($_SESSION["cuadreDetallado"]=="pos" || $_SESSION["cuadreDetallado"]=="Pos"){
      $sabersiesPos=true;
    }
    

    
    // if (($caudreDetallado === "Pos" || $caudreDetallado === "pos") && $sabersiesPos) {
    //     // Aquí va tu lógica cuando es POS y empieza con B1- a B20-
    // }


      while($file=mysqli_fetch_object($resultado)){


        $facturr=$file->factura;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{


        $valor=$file->valor;
        $iv=$file->iva;
        $bas=$file->base;

        $iva=$iva+$iv;
        


        $fechaDevo=substr($file->fechaDevoParcial,0,10);
        if($fechaDevo>=$feha1 && $fechaDevo<=$feha2){
          
          $todalDevo=$todalDevo+$valor;

          $iva=$iva-$iv;
          

        }
          $total=$total+$valor;
        
      }
      }
      

      $resultado1=$this->conectar->query($consultaDV);
      while($file=mysqli_fetch_object($resultado1)){

        $facturr=$file->numeroFactu;
        if (preg_match('/^b(1[0-9]|20|[1-9])-+/i', $facturr)  && $sabersiesPos==true ) {
         
          
      }else{


        $valor=$file->valorDv;

        $iv=$file->ivaDv;
     

     

          
          $todalDevo=$todalDevo+$valor;

          $iva=$iva-$iv;
          

      }
        

      }








      $totalsin=$total- $todalDevo- $iva;


  
    return  $totalsin;
         
            
            
            }



 function productosvendedor($fecha1,$fecha2,$vendedor,$bodega,$infoTurno){
  $USUARIO= $_SESSION["usuario"];

if($bodega==0){

  if($_SESSION["activarTurnos"]==2){

    $USUARIO=$infoTurno;

    $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`,`fechaDevoParcial`,  `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)   BETWEEN '$fecha1' AND '$fecha2'  AND vendedor=$vendedor and ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
    
    $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
 
 
 
 
  }else{
    $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`,`fechaDevoParcial`,  `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)   BETWEEN '$fecha1' AND '$fecha2'  AND vendedor=$vendedor and ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
 
    $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";
 
 
  }

}else{
  if($_SESSION["activarTurnos"]==2){

    $USUARIO=$infoTurno;
    $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`,`fechaDevoParcial`,  `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)   BETWEEN '$fecha1' AND '$fecha2'  AND vendedor=$vendedor AND bodegaVenta=$bodega and ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";

    $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  bodegaDV=$bodega and valorDv>'0' ORDER BY fechaDv DESC";



  }else{
  $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`,`fechaDevoParcial`,  `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)   BETWEEN '$fecha1' AND '$fecha2'  AND vendedor=$vendedor AND bodegaVenta=$bodega and ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
  $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2'AND vendedordv='$vendedor' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno' AND  bodegaDV=$bodega AND  valorDv>'0' ORDER BY fechaDv DESC";
  }
}
                
                
$resultado=$this->conectar->query($consulta);               
$resultado1=$this->conectar->query($consultaDV); 

$fila = $resultado->num_rows > 0 ? $resultado->fetch_all(MYSQLI_ASSOC) : [];
$fila1 = $resultado1->num_rows > 0 ? $resultado1->fetch_all(MYSQLI_ASSOC) : [];

echo(json_encode(["produc"=>$fila,"producDv"=>$fila1]));

                
                }

 function productos($fecha1,$fecha2,$bodega,$infoTurno){
  $USUARIO= $_SESSION["usuario"];

if($bodega==0){

  if($_SESSION["activarTurnos"]==2){
    $USUARIO=$infoTurno;

    $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`, `fechaDevoParcial`, `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)  BETWEEN '$fecha1' AND '$fecha2' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  valorDv>'0' ORDER BY fechaDv DESC";
 
 
 
 
  }else{
  $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`, `fechaDevoParcial`, `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)  BETWEEN '$fecha1' AND '$fecha2' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
 
  $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND Turno='$infoTurno'  AND  valorDv>'0' ORDER BY fechaDv DESC";


}

}else{
  if($_SESSION["activarTurnos"]==2){
    $USUARIO=$infoTurno;
    $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`, `fechaDevoParcial`, `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)  BETWEEN '$fecha1' AND '$fecha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND usuariov='$USUARIO' AND  ventas.valor>'0' ORDER BY fecha DESC";
    $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2' AND ( TipoproducDv <> 'Fabricacion' or TipoproducDv is null ) AND usuarioDv='$USUARIO'  AND  bodegaDV=$bodega and valorDv>'0' ORDER BY fechaDv DESC";
 
 
 
  }else{
  $consulta="SELECT `factura`, `codigoProducto`, `cantCaja`, `cantfrcc`, `valor`, `vendedor`, `fechaDevoParcial`, `cliente`,`nombre`,`bodegaVenta` FROM ventas INNER JOIN productos on ventas.codigoProducto=productos.codigo  WHERE LEFT(fecha,10)  BETWEEN '$fecha1' AND '$fecha2' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) AND veturno='$infoTurno' AND  ventas.valor>'0' ORDER BY fecha DESC";
  $consultaDV="SELECT * FROM devolucionproduc INNER JOIN productos on devolucionproduc.producto=productos.codigo  WHERE LEFT(fechaDv,10)  BETWEEN  '$fecha1' AND '$fecha2' AND TipoproducDv <> 'Fabricacion' AND Turno='$infoTurno' AND  bodegaDV=$bodega AND  valorDv>'0' ORDER BY fechaDv DESC";
  }
}

    
                    $resultado=$this->conectar->query($consulta);               
                    $resultado1=$this->conectar->query($consultaDV); 
                   
                    $fila = $resultado->num_rows > 0 ? $resultado->fetch_all(MYSQLI_ASSOC) : [];
                    $fila1 = $resultado1->num_rows > 0 ? $resultado1->fetch_all(MYSQLI_ASSOC) : [];
                    
    echo(json_encode(["produc"=>$fila,"producDv"=>$fila1]));
                    
                    }
                   

}





?>